### Name: grad.desc
### Title: Gradient Descent Algorithm for A 2D Case
### Aliases: grad.desc
### Keywords: optimize dynamic dplot

### ** Examples

# default example 
xx = grad.desc()
xx$par  # solution
xx$persp(col = "lightblue", phi = 30)   # perspective plot 

## Not run: 
##D  
##D # define more complex functions; a little time-consuming 
##D f1 = function(x, y) x^2 + 3 * sin(y) 
##D xx = grad.desc(f1, pi * c(-2, -2, 2, 2), c(-2 * pi, 2)) 
##D xx$persp(col = "lightblue", theta = 30, phi = 30)
##D # or 
##D f2 = function(x, y) sin(1/2 * x^2 - 1/4 * y^2 + 3) * 
##D     cos(2 * x + 1 - exp(y))  
##D xx = grad.desc(f2, c(-2, -2, 2, 2), c(-1, 0.5), 
##D     gamma = 0.1, tol = 1e-04, nmax = 200, interval = 0) 
##D # click your mouse to select a start point 
##D xx = grad.desc(f2, c(-2, -2, 2, 2), interact = TRUE, 
##D     tol = 1e-04, nmax = 200, interval = 0) 
##D xx$persp(col = "lightblue", theta = 30, phi = 30)
##D 
##D # HTML animation pages 
##D ani.start()
##D grad.desc(saveANI = TRUE, width = 600, height = 600)
##D ani.stop() 
##D 
## End(Not run)



