### Name: knn.ani
### Title: Demonstrate kNN classification algorithm on the 2D plane
### Aliases: knn.ani
### Keywords: hplot iplot dynamic classif

### ** Examples

## a binary classification problem 
x = matrix(c(rnorm(80, mean = -1), rnorm(80, mean = 1)), 
    ncol = 2, byrow = TRUE) 
y = matrix(rnorm(20, mean = 0, sd = 1.2), ncol = 2) 
knn.ani(train = x, test = y, cl = rep(c("first class", "second class"),
    each = 40), k = 30, control = ani.control(interval = 2)) 

## Not run:  
##D 
##D ani.start() 
##D op = par(mar = c(3.5, 3.5, 3, 1), mgp = c(2, 0.5, 
##D     0), cex.axis = 0.75, tcl = -0.3) 
##D knn.ani(train = x, test = y, cl = rep(c("first class", "second class"),
##D     each = 40), k = 30, control = ani.control(saveANI = TRUE, 
##D     width = 600, height = 600)) 
##D par(op) 
##D ani.stop() 
##D 
##D ## this is an interactive demo; just click your mouse
##D knn.ani(train = x, cl = rep(c("first class", "second class"), 
##D     each = 40), k = 30, nmax = 5, interact = TRUE) 
##D 
## End(Not run)



