### Name: newton.method
### Title: Demonstration of the Newton-Raphson Method for Root-finding
### Aliases: newton.method
### Keywords: optimize dynamic dplot

### ** Examples

op = par(pch = 19) 
# default example 
xx = newton.method() 
xx$root  # solution

## Not run: 
##D  
##D # another function 
##D xx = newton.method(function(x) exp(-x) * x, rg = c(0, 
##D     10), init = 2) 
##D # not converge!
##D xx = newton.method(function(x) atan(x), rg = c(-5, 
##D     5), init = 1.5) 
##D xx$root   # Inf 
##D # interaction: use your mouse to select the starting point
##D xx = newton.method(function(x) atan(x), rg = c(-2, 
##D     2), interact = TRUE) 
##D 
##D # HTML animation pages 
##D ani.start()
##D newton.method(function(x) exp(-x) * x, rg = c(0, 10), 
##D     init = 2, saveANI = TRUE, width = 600, height = 500)
##D ani.stop() 
##D 
## End(Not run)
par(op) 



